Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #821

when files get added from gpodder based on release date they are reversed and play in backwards
order
Description

add files from gPodder..but they play in backwards order (oldest to newest)
| know | can reverse the playlist order and restart playback..

BUT Is there a command line switch or config entry to force the playlist be reverse sorted before starting playback
OR is there a better gPodder method to add them??

History

#1 - August 19, 2018 17:04 - John Lindgren

Audacious should add the files in the order they are listed on the command line. Can you find out what command line gpodder is running to add the
files in Audacious?

#2 - August 20, 2018 13:42 - tim nixon

yes.. the command is audacious --qt %U

#3 - August 20, 2018 14:09 - John Lindgren

Do you mean that there is a literal %U in the command line? If so, that's a problem. The Exec line in audacious.desktop contains a %U, but that's a
field code and should be replaced with a list of URIs in the actual command line.

#4 - August 21, 2018 12:05 - tim nixon

yes literally a %U | assume that gets replaced by the URIs when gpodder makes the call. Perhaps they also use %U and it's a coincidence?
%F works also in place of %U too on that command
(BTW my platform is a raspberry pi)

Don't want to waste your time... | know | can easily reverse the playlist order and perhaps it even makes sense to play from oldest to newest in my
selections when | multi select and click play

#5 - August 21, 2018 16:45 - John Lindgren

tim nixon wrote:

yes literally a %U | assume that gets replaced by the URIs when gpodder makes the call.

Then it's NOT a literal %U, but a field code that gets replaced by the filenames.

What | need to know is the command-line that actually gets run, AFTER the %U is replaced by the filenames.
#6 - September 27, 2018 15:51 - John Lindgren

- Status changed from New to Closed

Audacious adds the files in the order given on the command line. Look for a fix in gpodder. Closing.
